TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Operation

record r := name field

### Syntax

<record> r . <name> field := <any> a

### Description

<shortdoc> The record assignment assigns 'a' to the record component with the name 'field', which must be an identifier, of the record 'r'. That means that accessing the element with name 'field' of the record 'r' will return the value of 'a' after this assignment. If the record 'r' has no component with the name 'field', the record is automatically extended to make room for the new component. </shortdoc>

### Examples

r := rec( a := 1, b := 2 ); r.a := 10; r; r.c := 3; r;

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack